# Fraudulent Domain Whois History

GET /brp/fraudulent-domains/{fraudulent_id}/whois-history: Returns the WHOIS history recorded for a fraudulent domain.

Source: https://docs.deepinfo.com/reference/brp/fraudulent-domain-whois-history/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/brp/fraudulent-domains/{fraudulent_id}/whois-history`

Returns the WHOIS history recorded for a fraudulent domain.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `fraudulent_id` | Required |  | `000000000000000ee94f0001` |

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `page` | Optional | Min `1`, max `800`. Default `1`. | `1` |
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].result` | object |  |
| `results[].status` | boolean |  |
| `results[].check_date` | string | date-time |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array<object> |
| `results[].result` | object |
| `results[].result.domain_name` | string |
| `results[].result.raw` | string |
| `results[].result.parsed` | object |
| `results[].result.parsed.uid` | string |
| `results[].result.parsed.create_date` | string |
| `results[].result.parsed.update_date` | string |
| `results[].result.parsed.expiry_date` | string |
| `results[].result.parsed.registrar` | string |
| `results[].result.parsed.registrant` | object |
| `results[].result.parsed.registrant.name` | null |
| `results[].result.parsed.registrant.organization` | null |
| `results[].result.parsed.registrant.street` | null |
| `results[].result.parsed.registrant.city` | null |
| `results[].result.parsed.registrant.state` | null |
| `results[].result.parsed.registrant.postal_code` | null |
| `results[].result.parsed.registrant.country` | null |
| `results[].result.parsed.registrant.phone` | null |
| `results[].result.parsed.registrant.email` | null |
| `results[].result.parsed.name_servers` | array<string> |
| `results[].result.parsed.domain_status` | array<string> |
| `results[].result.parsed.whois_server` | null |
| `results[].result.check_date` | string |
| `results[].result.parse_code` | null |
| `results[].status` | boolean |
| `results[].check_date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/brp/fraudulent-domains/000000000000000ee94f0001/whois-history' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 21,
  "results": [
    {
      "result": {
        "domain_name": "acme.example",
        "raw": "Raw record text.",
        "parsed": {
          "uid": "2025-07-16T08:00:00.000000+00:00",
          "create_date": "2025-06-01T08:00:00Z",
          "update_date": "2025-07-01T08:00:00Z",
          "expiry_date": "2026-06-01T08:00:00Z",
          "registrar": "Kestrel Domains",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.acme.example",
            "ns2.acme.example"
          ],
          "domain_status": [
            "clienthold",
            "clienttransferprohibited"
          ],
          "whois_server": null
        },
        "check_date": "2025-07-31T08:00:00Z",
        "parse_code": null
      },
      "status": false,
      "check_date": "2025-07-31T08:00:00Z"
    },
    {
      "result": {
        "domain_name": "acme.example",
        "raw": "Raw record text.",
        "parsed": {
          "uid": "2025-07-15T08:00:00.000000+00:00",
          "create_date": "2025-05-31T08:00:00Z",
          "update_date": "2025-06-30T08:00:00Z",
          "expiry_date": "2026-05-31T08:00:00Z",
          "registrar": "Fernhill Registrar",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.acme.example",
            "ns2.acme.example"
          ],
          "domain_status": [
            "clienthold",
            "clienttransferprohibited"
          ],
          "whois_server": null
        },
        "check_date": "2025-07-30T08:00:00Z",
        "parse_code": null
      },
      "status": false,
      "check_date": "2025-07-30T08:00:00Z"
    }
  ]
}
```

### 400 · Invalid Parameter (invalid page=0)

```bash
curl 'https://api.deepinfo.com/v1/brp/fraudulent-domains/000000000000000ee94f0001/whois-history?page=0' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "page",
      "details": [
        "Ensure this value is greater than or equal to 1."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```

### 404 · Not Found (nonexistent fraudulent_id)

```bash
curl 'https://api.deepinfo.com/v1/brp/fraudulent-domains/ffffffffffffffffffffffff/whois-history' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Fraudulent does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
